package bjoerks.app;

import java.io.Serializable;

import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class MyExtraScreenControler implements Serializable {

	private static final long serialVersionUID = 1L;

	private SessionControler session;
	
	private EditText myExtraScreenEditText;
	private Button myExtraScreenButtonGet;
	private Button myExtraScreenButtonSet;
	private Button myExtraScreenButtonReturn;
	
	private boolean first = true;

	public MyExtraScreenControler(SessionControler session) {
		this.session = session;
	}

	public void Activate(boolean alwaysInit) {
    	getScreenElementsFromXML();		// Hvis hardcoded UI oprettelse skal disse ogs kun ved first
    	setListener();					// liges - alts ind fr init
        if (first || alwaysInit)
        {
        	init();
        	first = false;
        }
	}

	private void init() {
    	this.myExtraScreenEditText.setText("Startvrdo");
	}
	
	private void getScreenElementsFromXML()
	{
		session.GetActivity().setContentView(R.layout.myextrascreen);
        this.myExtraScreenEditText = (EditText) session.GetActivity().findViewById(R.id.myExtraScreenEditText);
        this.myExtraScreenButtonGet = (Button) session.GetActivity().findViewById(R.id.myExtraScreenButtonGet);
        this.myExtraScreenButtonSet = (Button) session.GetActivity().findViewById(R.id.myExtraScreenButtonSet);
        this.myExtraScreenButtonReturn = (Button) session.GetActivity().findViewById(R.id.myExtraScreenButtonReturn);
	}
	
	private void setListener()
	{
        this.myExtraScreenButtonGet.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				onClick_buttonGet();
			}
		});
        this.myExtraScreenButtonSet.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				onClick_buttonSet();
			}
		});
        this.myExtraScreenButtonReturn.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				onClick_buttonReturn();
			}

		});
	}

	private void onClick_buttonGet() {
//		session.GetBusinessModel().IncrementCount();
		this.myExtraScreenEditText.setText(""+session.GetBusinessModel().GetCount());
	}	

	private void onClick_buttonSet() {
		try
		{
			int value = Integer.parseInt(this.myExtraScreenEditText.getText().toString());
			session.GetBusinessModel().SetCount(value);
		}
		catch (Exception e)
		{
			Toast.makeText(session.GetActivity(), "Fejl - ikke int", 50);
		}
	}

	private void onClick_buttonReturn() {
		session.MyExtraScreenControlerReturn();
	}

}
