package bjoerks.app;


import java.io.Serializable;

import android.view.View;
import android.view.View.OnClickListener;
import android.widget.*;

public class MyMainScreenControler implements Serializable {
	
	private static final long serialVersionUID = 1L;

	private SessionControler session;
	
	private Button mainButton1;
	private EditText editText1;
	private Button buttonAfbryd;
	private Button buttonStartMyExtraScreen;
	
	private boolean first = true;

	public MyMainScreenControler(SessionControler session) {
		this.session = session;
	}

	public void Activate(boolean alwaysInit) {
    	getScreenElementsFromXML();		// Hvis hardcoded UI oprettelse skal disse ogs kun ved first
    	setListener();					// liges - alts ind fr init
        if (first || alwaysInit)
        {
        	init();
        	first = false;
        }
	}

	private void init() {
    	this.editText1.setText(""+session.GetBusinessModel().GetCount());
	}
	
	private void getScreenElementsFromXML()
	{
		session.GetActivity().setContentView(R.layout.main);
        this.mainButton1 = (Button) session.GetActivity().findViewById(R.id.mainButton1);
        this.editText1 = (EditText) session.GetActivity().findViewById(R.id.mainEditText1);
        this.buttonStartMyExtraScreen = (Button) session.GetActivity().findViewById(R.id.buttonStartMyExtraScreen);
        this.buttonAfbryd = (Button) session.GetActivity().findViewById(R.id.buttonAfbryd);
	}
	
	private void setListener()
	{
        this.mainButton1.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				onClick_button1();
			}
		});
        this.buttonStartMyExtraScreen.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				onClick_buttonStartMyExtraScreen();
			}
		});
        this.buttonAfbryd.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				onClick_buttonAfbryd();
			}

		});
	}

	private void onClick_button1() {
		session.GetBusinessModel().IncrementCount();
		this.editText1.setText(""+session.GetBusinessModel().GetCount());
	}	

	private void onClick_buttonStartMyExtraScreen() {
		session.AcrivateMyExtraScreenControler();
	}
	private void onClick_buttonAfbryd() {
		session.MyMainControlerStop();
	}
}
